Name: rhns-certs-tools
Summary: Red Hat Network SSL Key/Cert Tool
Group: RHN/Utilities
License: LGPL
Source0: certs-%{version}.tar.gz
#Source1: version
#Source2: gen-rpm.sh
#Source3: sign.sh
#Source4: rhn-ssl-tool
Version: 5.1.1
Release: 3%{?dist}
BuildRoot: /var/tmp/%{name}-%{version}-root
BuildArch: noarch
Requires: openssl rpm-build python-optik
BuildRequires: docbook-utils
Obsoletes: rhns-certs

%description
This package contains tools to generate the SSL certificates required by 
Red Hat Network.

%define rhnroot /usr/share/rhn

%prep
%setup -n certs-%{version} -q

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/%{rhnroot}/certs
make install PREFIX=$RPM_BUILD_ROOT ROOT=%{rhnroot} \
    MANDIR=%{_mandir}
#install -m 755 %{SOURCE2} %{SOURCE3} $RPM_BUILD_ROOT/%{rhnroot}/certs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(755,root,root) %{rhnroot}/certs/*.py*
%attr(755,root,root) %{rhnroot}/certs/sign.sh
%attr(755,root,root) %{rhnroot}/certs/gen-rpm.sh
%attr(755,root,root) /usr/bin/rhn-ssl-tool
%attr(755,root,root) /usr/bin/rhn-bootstrap
%doc %{_mandir}/man1/rhn-*.1*
/var/www/html/pub/bootstrap/client_config_update.py*

# $Id: certs.spec,v 1.24 2007-07-27 16:52:35 bperkins Exp $
%changelog
* Mon Dec 03 2012 Jan Pazdziora - 5.1.1-3
- RHN Satellite 5 and RHN Proxy 5 on Red Hat Enteprise Linux 4 are now EOL.

* Wed Mar 07 2007 Pradeep Kilambi <pkilambi@redhat.com> - 5.0.0-1
- adding dist tag

* Fri Dec 01 2006 Ryan Newberry <rnewberr@redhat.com> 
- adding docbook2man to build requires

* Mon Dec 20 2004 Todd Warner <taw@redhat.com> 3.6.0
- requirement added: python-optik (bug: 143413)

* Tue Jul 06 2004 Todd Warner <taw@redhat.com>
- rhn-bootstrap and associated files added.

* Tue Apr 20 2004 Todd Warner <taw@redhat.com>
- added rhn-ssl-tool and associated modules
- using a Makefile which builds a tarball now.
- added man page
- added __init__.py*
- GPLed this code. No reason to do otherwise.

* Tue Aug 20 2002 Cristian Gafton <gafton@redhat.com>
- update for the new build system

* Tue May 21 2002 Cristian Gafton <gafton@redhat.com>
- no more RHNS

* Tue May 14 2002 Todd Warner <taw@redhat.com>
- Initial.
